QGIS Application - Bug report #2623
Error startin qgis-dev
2010-04-03 09:45 AM - aperi2007 -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Build/Install

Affected QGIS version: Regression?: No
Operating System: Debian Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 12683
Description

After update qgis to last version trunk was appeared this error starting qgis dev

Impossibile caricare [[PyQGIS]].
Il supporto Python verra disabilitato.

In english

"was impossible to load [[PyQGIS]].
pyton support will be disabled"

[ try to uninstall all and to reinstall again but the error is again.

Traceback (most recent call last):
File "™, line 1, in
[[ImportError]]: dynamic module does not define init function (initcore)

Versione Python:
2.5.2 (r252:60911, Feb 21 2008, 13:11:45) [MSC v.1310 32 bit (Intel)]

Versione di QGIS:
1.5.0-Trunk 'Trunk', 13226

Percorso Python:

['C:/OSGeod4W/apps/qgis-dev/./python’, 'C:\\\WUsers\\\peri/.qgis/python’, 'C:\\\Users\\\\peri/.qgis/python/plugins',
'C:/0OSGeo4W/apps/qgis-dev/./python/plugins', 'C:\\\OSGeo4W\\apps\\\\gdal-16\\\\pymod', 'C:\\\\',
'CA\WNOSGeo4W\\Wbin\Wpython25.zip', 'C:\WOSGeo4dW\\\apps\\Python25\\W\DLLs', 'C\\WOSGeo4W\\\apps\\\\Python25\\\lib',
'C:A\WOSGeo4W\\\apps\\WPython25\\\lib\\\plat-win', 'C:\WOSGeo4W\\W\apps\\\Python25\\\\lib\\lib-tk',
'CA\W\OSGeo4W\\\apps\\\qgis-devi\\\bin', 'C:\WOSGeo4W\\\apps\\\Python25',
'C:\WOSGeodW\\\\apps\\\\Python25\lib\\\site-packages', 'C:\WWOSGeo4W\\\\apps\\\\Python25\\\\lib\\\\site-packages\\\win32',
'C:\\WOSGeodW\\\\apps\\\Python25\\Wib\\site-packages\\\win32\\\lib',
'C:\WOSGeodW\\Wapps\\\Python25\\\lib\\site-packages\\\\Pythonwin',
'C:\WOSGeodW\\Wapps\\\Python25\\\lib\\\site-packages\\\\wx-2.8-msw-unicode']

History

#1 - 2010-04-03 09:48 AM - Giovanni Manghi
- Resolution set to fixed
- Status changed from Open to Closed
it has already been fixed today, you'll see the effects with the next qgis-dev update with osgeo4w (tomorrow).

Reopen if after updating with the new dev release the problem shows again.

#2 - 2010-04-23 11:12 AM - Luca Casagrande

- Resolution deleted (fixed)

- Status changed from Closed to Feedback

The same error happen with latest trunk (13354) on Ubuntu Lucid

this is the error:

Impossibile caricare [[PyQGIS]].

Il supporto Python verra disabilitato.

Traceback (most recent call last):
File™, line 1, in

[[ImportError]]: dynamic module does not define init function (initcore)
Versione Python:
2.6.5 (commit:0f397015 (SVN r266):79063, Apr 16 2010, 14:15:55)

[GCC 4.4.3]

Versione di QGIS:
1.5.0-Trunk 'Trunk', 13354

Percorso Python:

['/usr/local/share/qgis/python’, 'home/luca/.qgis/python’, '/home/luca/.qgis/python/plugins’, ‘/usr/local/share/qgis/python/plugins’,
'lusr/lib/python2.6', '/usr/lib/python2.6/plat-linux2', ‘/usr/lib/python2.6/lib-tk’, /usr/lib/python2.6/lib-old', /usr/lib/python2.6/lib-dynload’,
'lusr/lib/python2.6/dist-packages', '/usr/lib/python2.6/dist-packages/PIL', '/usr/lib/python2.6/dist-packages/gst-0.10',

'lusr/lib/pymodules/python2.6', '/usr/lib/python2.6/dist-packages/gtk-2.0", ‘/usr/lib/pymodules/python2.6/gtk-2.0",
'usr/lib/python2.6/dist-packages/wx-2.8-gtk2-unicode', '/usr/local/lib/python2.6/dist-packages’]

#3 - 2010-04-24 01:56 AM - Paolo Cavallini

Sounds a stupid comment, but have you installed python-qgis_1.5.0_amd64.deb python-qgis-common_1.5.0_all.deb and dependencies (in particular

python-sip4)?

#4 - 2010-04-24 10:31 AM - Luca Casagrande

Trying to build 1.4.0 from source, | have found the error:

SIP is required in version 4.7 or later!

The version shipped with Lucid and installed in my system is the 4.10.1.
Can this be related to the sip detection as in this link:
http://www.orocos.org/forum/rtt/rtt-dev/kdl-not-detecting-sip-410-python-bindings

Bye
Luca

#5 - 2010-04-24 10:53 AM - Luca Casagrande
- Resolution set to fixed
- Status changed from Feedback to Closed

| opened a specific ticket here:
https://trac.osgeo.org/qgis/ticket/2678
http://www.orocos.org/forum/rtt/rtt-dev/kdl-not-detecting-sip-410-python-bindings
https://trac.osgeo.org/qgis/ticket/2678

